/*
 * Common functions
 * Developed by TMiao
 */

export const to_json_obj = str => {
  return JSON.parse(str);
  // return JSON.parse(JSON.stringify(str));
}

export const to_str = json_obj => {
	return JSON.stringify(json_obj);
  // return JSON.stringify(JSON.parse(json_obj));
}

// GET CURRENT TIMESTAMP
export const get_current_timestamp = () => {
  let current = new Date();
  let cDate = current.getFullYear() + '-' + (current.getMonth() + 1) + '-' + current.getDate();
  let cTime = current.getHours() + ":" + current.getMinutes() + ":" + current.getSeconds();
  let dateTime = cDate + ' ' + cTime;
  return dateTime;
}

// PRINT CAR INFO
export const print_info = car_obj => {
  const { 
    year, 
    make,
    model, 
    price
  } = car_obj;
	return `Car ${model} of ${make} in ${year} in $ ${price};`;
}